Skip to main content
GET
/
admin
/
custom
/
product-variants
List Product Variants (Filtered)
curl --request GET \
  --url https://api.example.com/admin/custom/product-variants \
  --header 'Authorization: Bearer <token>'
{
  "variants": [
    {}
  ],
  "count": 123,
  "offset": 123,
  "limit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
number

The number of items to skip before starting to collect the result set.

limit
number

The number of items to return.

fields
string

Comma-separated fields to include in the response.

seller_id
string

Filter by seller ID.

has_price
boolean

Filter variants that have prices.

has_inventory
boolean

Filter variants that have inventory items.

has_stock_location
boolean

Filter variants that have at least one inventory level in any stock location.

has_admin_stock_location
boolean

Filter variants that have (or don't have) at least one admin-owned stock location (not linked to any seller).

q
string

Search query for variant title or SKU.

order
string

The order of the returned items.

Response

200 - application/json

OK

variants
object[]

Array of product variants.

count
integer

The total number of items available

offset
integer

The number of items skipped before these items

limit
integer

The number of items per page